Index: NEMO/branches/2019/dev_r11756_optional_variables/src/OCE/IOM/iom.F90
===================================================================
--- NEMO/branches/2019/dev_r11756_optional_variables/src/OCE/IOM/iom.F90	(revision 11786)
+++ NEMO/branches/2019/dev_r11756_optional_variables/src/OCE/IOM/iom.F90	(revision 11976)
@@ -1730,43 +1730,43 @@
       IF( xios_is_valid_domain     (cdid) ) THEN
          CALL xios_set_domain_attr     ( cdid, type='curvilinear')
-         IF(PRESENT(ni_glo))      CALL xios_set_domain_attr     ( cdid, ni_glo=ni_glo)
-         IF(PRESENT(nj_glo))      CALL xios_set_domain_attr     ( cdid, nj_glo=nj_glo)
-         IF(PRESENT(ibegin))      CALL xios_set_domain_attr     ( cdid, ibegin=ibegin)
-         IF(PRESENT(jbegin))      CALL xios_set_domain_attr     ( cdid, jbegin=jbegin)
-         IF(PRESENT(ni))          CALL xios_set_domain_attr     ( cdid, ni=ni)
-         IF(PRESENT(nj))          CALL xios_set_domain_attr     ( cdid, nj=nj)
-         IF(PRESENT(data_dim))    CALL xios_set_domain_attr     ( cdid, data_dim=data_dim)
-         IF(PRESENT(data_ibegin)) CALL xios_set_domain_attr     ( cdid, data_ibegin=data_ibegin)
-         IF(PRESENT(data_ni))     CALL xios_set_domain_attr     ( cdid, data_ni=data_ni)
-         IF(PRESENT(data_jbegin)) CALL xios_set_domain_attr     ( cdid, data_jbegin=data_jbegin)
-         IF(PRESENT(data_nj))     CALL xios_set_domain_attr     ( cdid, data_nj=data_nj)
-         IF(PRESENT(lonvalue))    CALL xios_set_domain_attr     ( cdid, lonvalue_1D=lonvalue)
-         IF(PRESENT(latvalue))    CALL xios_set_domain_attr     ( cdid, latvalue_1D=latvalue)
-         IF(PRESENT(mask))        CALL xios_set_domain_attr     ( cdid, mask_1D=mask)
-         IF(PRESENT(nvertex))     CALL xios_set_domain_attr     ( cdid, nvertex=nvertex)
-         IF(PRESENT(bounds_lon))  CALL xios_set_domain_attr     ( cdid, bounds_lon_1D=bounds_lon)
-         IF(PRESENT(bounds_lat))  CALL xios_set_domain_attr     ( cdid, bounds_lat_1D=bounds_lat)
-         IF(PRESENT(area))        CALL xios_set_domain_attr     ( cdid, area=area)
+         IF(PRESENT(ni_glo))      CALL xios_set_domain_attr( cdid, ni_glo=ni_glo)
+         IF(PRESENT(nj_glo))      CALL xios_set_domain_attr( cdid, nj_glo=nj_glo)
+         IF(PRESENT(ibegin))      CALL xios_set_domain_attr( cdid, ibegin=ibegin)
+         IF(PRESENT(jbegin))      CALL xios_set_domain_attr( cdid, jbegin=jbegin)
+         IF(PRESENT(ni))          CALL xios_set_domain_attr( cdid, ni=ni)
+         IF(PRESENT(nj))          CALL xios_set_domain_attr( cdid, nj=nj)
+         IF(PRESENT(data_dim))    CALL xios_set_domain_attr( cdid, data_dim=data_dim)
+         IF(PRESENT(data_ibegin)) CALL xios_set_domain_attr( cdid, data_ibegin=data_ibegin)
+         IF(PRESENT(data_ni))     CALL xios_set_domain_attr( cdid, data_ni=data_ni)
+         IF(PRESENT(data_jbegin)) CALL xios_set_domain_attr( cdid, data_jbegin=data_jbegin)
+         IF(PRESENT(data_nj))     CALL xios_set_domain_attr( cdid, data_nj=data_nj)
+         IF(PRESENT(lonvalue))    CALL xios_set_domain_attr( cdid, lonvalue_1D=lonvalue)
+         IF(PRESENT(latvalue))    CALL xios_set_domain_attr( cdid, latvalue_1D=latvalue)
+         IF(PRESENT(mask))        CALL xios_set_domain_attr( cdid, mask_1D=mask)
+         IF(PRESENT(nvertex))     CALL xios_set_domain_attr( cdid, nvertex=nvertex)
+         IF(PRESENT(bounds_lon))  CALL xios_set_domain_attr( cdid, bounds_lon_1D=bounds_lon)
+         IF(PRESENT(bounds_lat))  CALL xios_set_domain_attr( cdid, bounds_lat_1D=bounds_lat)
+         IF(PRESENT(area))        CALL xios_set_domain_attr( cdid, area=area)
       ENDIF
       IF( xios_is_valid_domaingroup(cdid) ) THEN
          CALL xios_set_domaingroup_attr( cdid, type='curvilinear' )
-         IF(PRESENT(ni_glo)) CALL xios_set_domaingroup_attr( cdid, ni_glo=ni_glo)
-         IF(PRESENT(nj_glo)) CALL xios_set_domaingroup_attr( cdid, nj_glo=nj_glo)
-         IF(PRESENT(ibegin)) CALL xios_set_domaingroup_attr( cdid, ibegin=ibegin)
-         IF(PRESENT(jbegin)) CALL xios_set_domaingroup_attr( cdid, jbegin=jbegin)
-         IF(PRESENT(ni)) CALL xios_set_domaingroup_attr( cdid, ni=ni)
-         IF(PRESENT(nj)) CALL xios_set_domaingroup_attr( cdid, nj=nj)
-         IF(PRESENT(data_dim)) CALL xios_set_domaingroup_attr( cdid, data_dim=data_dim)
+         IF(PRESENT(ni_glo))      CALL xios_set_domaingroup_attr( cdid, ni_glo=ni_glo)
+         IF(PRESENT(nj_glo))      CALL xios_set_domaingroup_attr( cdid, nj_glo=nj_glo)
+         IF(PRESENT(ibegin))      CALL xios_set_domaingroup_attr( cdid, ibegin=ibegin)
+         IF(PRESENT(jbegin))      CALL xios_set_domaingroup_attr( cdid, jbegin=jbegin)
+         IF(PRESENT(ni))          CALL xios_set_domaingroup_attr( cdid, ni=ni)
+         IF(PRESENT(nj))          CALL xios_set_domaingroup_attr( cdid, nj=nj)
+         IF(PRESENT(data_dim))    CALL xios_set_domaingroup_attr( cdid, data_dim=data_dim)
          IF(PRESENT(data_ibegin)) CALL xios_set_domaingroup_attr( cdid, data_ibegin=data_ibegin)
-         IF(PRESENT(data_ni)) CALL xios_set_domaingroup_attr( cdid, data_ni=data_ni)
+         IF(PRESENT(data_ni))     CALL xios_set_domaingroup_attr( cdid, data_ni=data_ni)
          IF(PRESENT(data_jbegin)) CALL xios_set_domaingroup_attr( cdid, data_jbegin=data_jbegin)
-         IF(PRESENT(data_nj)) CALL xios_set_domaingroup_attr( cdid, data_nj=data_nj)
-         IF(PRESENT(lonvalue)) CALL xios_set_domaingroup_attr( cdid, lonvalue_1D=lonvalue)
-         IF(PRESENT(latvalue)) CALL xios_set_domaingroup_attr( cdid, latvalue_1D=latvalue)
-         IF(PRESENT(mask)) CALL xios_set_domaingroup_attr( cdid, mask_1D=mask)
-         IF(PRESENT(nvertex)) CALL xios_set_domaingroup_attr( cdid, nvertex=nvertex)
-         IF(PRESENT(bounds_lon)) CALL xios_set_domaingroup_attr( cdid, bounds_lon_1D=bounds_lon)
-         IF(PRESENT(bounds_lat)) CALL xios_set_domaingroup_attr( cdid, bounds_lat_1D=bounds_lat)
-         IF(PRESENT(area)) CALL xios_set_domaingroup_attr( cdid, area=area)
+         IF(PRESENT(data_nj))     CALL xios_set_domaingroup_attr( cdid, data_nj=data_nj)
+         IF(PRESENT(lonvalue))    CALL xios_set_domaingroup_attr( cdid, lonvalue_1D=lonvalue)
+         IF(PRESENT(latvalue))    CALL xios_set_domaingroup_attr( cdid, latvalue_1D=latvalue)
+         IF(PRESENT(mask))        CALL xios_set_domaingroup_attr( cdid, mask_1D=mask)
+         IF(PRESENT(nvertex))     CALL xios_set_domaingroup_attr( cdid, nvertex=nvertex)
+         IF(PRESENT(bounds_lon))  CALL xios_set_domaingroup_attr( cdid, bounds_lon_1D=bounds_lon)
+         IF(PRESENT(bounds_lat))  CALL xios_set_domaingroup_attr( cdid, bounds_lat_1D=bounds_lat)
+         IF(PRESENT(area))        CALL xios_set_domaingroup_attr( cdid, area=area)
       ENDIF
       !